CREATE TABLE cn_formula_ecat_factors_all (
    FORMULA_ECAT_FACTOR_ID    NUMBER(18, 0),
    FORMULA_ECAT_ID           NUMBER(18, 0)    NOT NULL,
    CREDIT_FACTOR             NUMBER           NOT NULL,
    EARNING_FACTOR            NUMBER           NOT NULL,
    START_DATE                DATE             NOT NULL,
    END_DATE                  DATE         ,
    ORG_ID                    NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    FORMULA_ECAT_FACTOR_ID    NUMBER(18, 0),
    FORMULA_ECAT_ID           NUMBER(18, 0)    NOT NULL,
    CREDIT_FACTOR             NUMBER           NOT NULL,
    EARNING_FACTOR            NUMBER           NOT NULL,
    START_DATE                DATE             NOT NULL,
    END_DATE                  DATE         ,
    ORG_ID                    NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    CONSTRAINT pk_cn_formula_ecat_factors_all PRIMARY KEY (FORMULA_ECAT_FACTOR_ID, FORMULA_ECAT_FACTOR_ID)
);
